#!/bin/bash

if [[ $1 == "" ]]; then
    echo "Name of node is expected as argument"
    exit -100
fi

function fail_if_error(){
    if [[ $1 != 0 ]]; then
		echo " -> failed !!"
		cat $2
		exit $3
    fi
}

function get_ip_address(){
    export IP_ADDRESS="`cat /etc/network/interfaces | grep address | cut -d ' ' -f 8`"
}

export NODE_NAME=$1
export IS_MASTER=0
export IS_SLAVE=0
export SLAVE_NUMBER=0

PATTERN='.*([0-9]+)'
if [[ "$NODE_NAME" =~ $PATTERN ]]; then
    export SLAVE_NUMBER=${BASH_REMATCH[2]}
    export IS_SLAVE=1
else
    export IS_MASTER=1
fi

get_ip_address

if [[ $IS_MASTER == 1 ]]; then
	export MASTER_IP=$IP_ADDRESS

elif [[ $IS_SLAVE == 1 ]]; then

    if [[ $2 == "" ]]; then
        echo "Expected MASTER IP address as second argument"
        exit -11
    fi
	export MASTER_IP=$2
fi
