#!/bin/bash

SCRIPT_DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
. $SCRIPT_DIR/common.sh "$@"


echo "-- INSTALLING ES-HADOOP (Spark to ES connector) -------------------------------"

export ES_VERSION=6.0.0-beta2

saved_dir=`pwd`
function returned_to_saved_dir() {
     cd $saved_dir
}
trap returned_to_saved_dir 15
trap returned_to_saved_dir EXIT

echo " - Changing to temp directory"
mkdir -p /tmp/eshadoop_setup
cd /tmp/eshadoop_setup

echo " - Downloading elasticsearch-hadoop-$ES_VERSION"
wget http://download.elastic.co/hadoop/elasticsearch-hadoop-$ES_VERSION.zip > /tmp/esh_install_log 2>&1
if [[ $? != 0 ]]; then
    echo " -> Failed to downolad elasticsearch-hadoop-$ES_VERSION from http://download.elastic.co/hadoop/. Trying to download from niceideas.ch"
    exit -1
    #wget http://niceideas.ch/mes/elasticsearch-hadoop-$ES_VERSION.zip >> /tmp/esh_install_log 2>&1
    #fail_if_error $? "/tmp/esh_install_log" -1
fi

echo " - Extracting elasticsearch-hadoop-$ES_VERSION"
unzip elasticsearch-hadoop-$ES_VERSION.zip > /tmp/spark_install_log 2>&1
fail_if_error $? "/tmp/spark_install_log" -2

echo " - Installing eshadoop spark (to spark jar folder)"
sudo chown root.staff -R elasticsearch-hadoop-$ES_VERSION
sudo cp elasticsearch-hadoop-$ES_VERSION/dist/elasticsearch-spark-20_2.11-$ES_VERSION.jar /usr/local/lib/spark-2.2.0/jars/


sudo rm -Rf /tmp/spark_setup
returned_to_saved_dir
