#!/bin/bash

SCRIPT_DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
. $SCRIPT_DIR/common.sh "$@"


if [[ $IS_MASTER == 1 ]]; then

    echo "-- INSTALLING LOGSTASH ---------------------------------------------------------"

    export ES_VERSION=6.0.0-beta2

    saved_dir=`pwd`
    function returned_to_saved_dir() {
         cd $saved_dir
    }
    trap returned_to_saved_dir 15
    trap returned_to_saved_dir EXIT

    echo " - Changing to temp directory"
    mkdir -p /tmp/ls_setup
    cd /tmp/ls_setup

    echo " - Downloading logstash-$ES_VERSION"
    wget https://artifacts.elastic.co/downloads/logstash/logstash-$ES_VERSION.tar.gz > /tmp/ls_install_log 2>&1
    if [[ $? != 0 ]]; then
        echo " -> Failed to downolad logstash-$ES_VERSION from https://artifacts.elastic.co/downloads/. Trying to download from niceideas.ch"
        exit -1
        #wget http://niceideas.ch/mes/logstash-$ES_VERSION.tar.gz >> /tmp/ls_install_log 2>&1
        #fail_if_error $? "/tmp/ls_install_log" -1
    fi

    echo " - Extracting logstash-$ES_VERSION"
    tar -xvf logstash-$ES_VERSION.tar.gz > /tmp/ls_install_log 2>&1
    fail_if_error $? "/tmp/ls_install_log" -2

    echo " - Installing LogStash"
    sudo chown root.staff -R logstash-$ES_VERSION
    sudo mv logstash-$ES_VERSION /usr/local/lib

    sudo mkdir -p /usr/local/lib/logstash-$ES_VERSION/data
    sudo chmod -R 777 /usr/local/lib/logstash-$ES_VERSION/data
    sudo mkdir -p /usr/local/lib/logstash-$ES_VERSION/logs
    sudo chmod -R 777 /usr/local/lib/logstash-$ES_VERSION/logs
    sudo chmod -R 755 /usr/local/lib/logstash-$ES_VERSION/config/

    sudo rm -Rf /tmp/ls_setup
    returned_to_saved_dir
fi
