#!/bin/bash

SCRIPT_DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
. $SCRIPT_DIR/common.sh "$@"


if [[ $IS_MASTER == 1 ]]; then

    echo "-- SETUPING LOGSTASH -----------------------------------------------------------"

    export ES_VERSION=6.0.0-beta2

    echo " - Simlinking logstash binaries and scripts to /usr/local/bin"
    sudo ln -s /usr/local/lib/logstash-$ES_VERSION/bin/logstash /usr/local/bin/logstash

    echo " - Simlinking logstash config directory to /usr/local/etc"
    sudo ln -s /usr/local/lib/logstash-$ES_VERSION/config /usr/local/etc/logstash

    echo " - Changing permissions of logstash working directories"
    sudo chown -R mes /usr/local/lib/logstash-$ES_VERSION/logs/
    sudo chmod -R 777 /usr/local/lib/logstash-$ES_VERSION/logs/

    sudo chown -R mes /usr/local/lib/logstash-$ES_VERSION/data/
    sudo chmod -R 777 /usr/local/lib/logstash-$ES_VERSION/data/

    echo " - Simlinking logstash logs to /var/log/"
    sudo ln -s /usr/local/lib/logstash-$ES_VERSION/logs /var/log/logstash

fi
