#!/bin/bash

set -o errexit
set -o nounset
set -o xtrace


# TODO
# resize2fs
# recreate partititon 2 and 5
# make partition 5 a swap partition (needs to be done with parted or fdisk since unmounted)

# reboot




echo "( INFO ) Installing VirtualBox Guest Additions..."
sudo apt-get --assume-yes install linux-headers-$(uname -r) build-essential dkms
sudo mkdir -p /tmp/VirtualBoxGuestAdditions
test -e /tmp/VirtualBoxGuestAdditions/VBoxLinuxAdditions.run || sudo mount -r /dev/cdrom /tmp/VirtualBoxGuestAdditions
sudo sh /tmp/VirtualBoxGuestAdditions/VBoxLinuxAdditions.run --nox11 || true
# VBox > 5.x 
if [ ! -e /etc/systemd/system/multi-user.target.wants/vboxadd.service ]; then
    # VBox 4.x < 5.x
    if [ ! -e /etc/rc.d/init.d/vboxadd ]; then
        echo "Guest additions installation failed"
        exit 1
    fi
fi
sudo umount /tmp/VirtualBoxGuestAdditions
sudo rmdir /tmp/VirtualBoxGuestAdditions

sudo rm -Rf /var/cache/apt/archives/*

for disk in /tmp  ; do
    echo "Zeroing out empty space on $disk"
    # This forces the filesystem to reclaim space from deleted files
    sudo dd bs=1M if=/dev/zero of=$disk/zero.tmp || :
    sudo rm -f $disk/zero.tmp
    echo "(Don't worry -- that out-of-space error was expected.)"
done
